org.eclipse.draw2d

## Class LayoutListener.Stub

- java.lang.Object
- - org.eclipse.draw2d.LayoutListener.Stub

All Implemented Interfaces:
  LayoutListener

Enclosing interface:
  LayoutListener

    public static class LayoutListener.Stub
    extends java.lang.Object
    implements LayoutListener

A stub implementation which implements all of the declared methods.

Since:
  3.1

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.LayoutListener

`LayoutListener.Stub`

### Constructor Summary

Constructors
Constructor and Description
`LayoutListener.Stub()`

### Method Summary

Methods
`void` `invalidate(IFigure container)` Stub which does nothing.
`boolean` `layout(IFigure container)` Stub which does nothing.
`void` `postLayout(IFigure container)` Stub which does nothing.
`void` `remove(IFigure child)` Stub which does nothing.
`void` `setConstraint(IFigure child, java.lang.Object constraint)` Stub which does nothing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutListener.Stub

    public LayoutListener.Stub()

### Method Detail

#### invalidate

    public void invalidate(IFigure container)

Stub which does nothing.

Specified by:
  `invalidate` in interface `LayoutListener`
Parameters:
  `container` - the invalidated Figure
See Also:
  `LayoutListener.invalidate(IFigure)`

#### layout

    public boolean layout(IFigure container)

Stub which does nothing.

Specified by:
  `layout` in interface `LayoutListener`
Parameters:
  `container` - the figure incurring a layout
Returns:
  `true` if the layout has been intercepted by the listener
See Also:
  `LayoutListener.layout(IFigure)`

#### postLayout

    public void postLayout(IFigure container)

Stub which does nothing.

Specified by:
  `postLayout` in interface `LayoutListener`
Parameters:
  `container` - the figure incurring a layout
See Also:
  `LayoutListener.postLayout(IFigure)`

#### remove

    public void remove(IFigure child)

Stub which does nothing.

Specified by:
  `remove` in interface `LayoutListener`
Parameters:
  `child` - the child being removed
See Also:
  `LayoutListener.remove(IFigure)`

#### setConstraint

    public void setConstraint(IFigure child,
                     java.lang.Object constraint)

Stub which does nothing.

Specified by:
  `setConstraint` in interface `LayoutListener`
Parameters:
  `child` - the child being updated
  `constraint` - the child's new constraint
See Also:
  `LayoutListener.setConstraint(IFigure, java.lang.Object)`